## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream no longer includes tests.
%bcond_with     tests

%global         srcname      azure-mgmt-containerinstance
%global         tarball_name azure_mgmt_containerinstance

Name:           python-%{srcname}
Version:        10.2.0~b1
%global         pypi_version    10.2.0b1
Release:        %autorelease
Summary:        Microsoft Azure Container Instance Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{tarball_name} %{pypi_version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-authorization)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif


%global _description %{expand:
Microsoft Azure Container Instance Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{tarball_name}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1:10.2.0~b1-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.2.0~b1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 25 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:10.2.0~b1-1
- Update to v10.2.0b1

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:10.1.0-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:10.1.0-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Major Hayden <major@redhat.com> - 1:10.1.0-1
- Update to 10.1.0 rhbz#2209184

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:10.1.0~b1-2
- S

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 1:10.1.0~b1-1
- Update to 10.1.0b1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:9.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:9.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 23 2022 Major Hayden <major@redhat.com> - 1:9.1.0-5
- Add import check

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1:9.1.0-4
- Rebuilt for Python 3.11

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 1:9.1.0-3
- Disable tests in EPEL 9

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:9.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:9.1.0-1
- Update to 9.1.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1:9.0.0-1
- Update to 9.0.0; add tests

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-4
- Bump release number

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-1
- Update to 8.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.5.0-3
- Fix changelog

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.5.0-2
- Add epoch number for 1.5.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:1.5.0-1
- Downgrade to 1.5.0

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 8.0.0-1
- Update to 8.0.0

* Tue Jul 06 2021 Major Hayden <major@mhtx.net> - 7.0.0-1
- Initial import (#1971791)
## END: Generated by rpmautospec
